package cn.com.infosec.asn1;

import java.util.Enumeration;

public class BERSet extends DERSet {
   public BERSet() {
   }

   public BERSet(DEREncodable obj) {
      super(obj);
   }

   public BERSet(DEREncodableVector v) {
      super(v, false);
   }

   BERSet(DEREncodableVector v, boolean needsSorting) {
      super(v, needsSorting);
   }

   void encode(DEROutputStream out) {
      if (!(out instanceof ASN1OutputStream) && !(out instanceof BEROutputStream)) {
         super.encode(out);
      } else {
         out.write(49);
         out.write(128);
         Enumeration var2 = this.getObjects();

         while(var2.hasMoreElements()) {
            out.writeObject(var2.nextElement());
         }

         out.write(0);
         out.write(0);
      }

   }
}
